# HW3 Solution

*Oct 2015*

This is the hidden test part of HW3. The list of files included is:

- `SRC/*.c`, example source code of solution
- `Tests/leftbracket.sol`, updated solution to predecessors queries in handout
- `Tests/rightbracket.sol`, updated solution to successors queries in handout
- `grading/`, hidden tests and solutions
- `makefile`, updated script to include `make grading` target
- `functional_tests.py`, a functional test script

There are three sets of tests:

- `test_empty`, 5 points, testing queries with an empty B+ tree
- `test_1` - `test_5`, 10 points, testing boundary queries in full B+ tree
- `functional_tests`, 20 points, testing queries in full B+ tree, with prefixes that exist in the tree

In order to get points you'll have to pass the `diff` perfectly. In principle we don't give partial credits.
